Bug 798612 - selenium crash
selenium crash
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gtk2 (Show other bugs)
6.2
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Benjamin Otte
Desktop QE
abrt_hash:acb16edc517e97e1a21d2c52dde...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 06:36 EST by Stanislav Graf
Modified: 2017-09-14 07:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.02 KB, text/plain)
2012-02-29 06:36 EST, Stanislav Graf
no flags Details
File: maps (46.04 KB, text/plain)
2012-02-29 06:36 EST, Stanislav Graf
no flags Details

  None (edit)
Description Stanislav Graf 2012-02-29 06:36:33 EST
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -silent
comment:        selenium-2.18.1 usage
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
kernel:         2.6.32-220.4.2.el6.x86_64
reason:         Process /usr/lib64/firefox/firefox was killed by signal 11 (SIGSEGV)
time:           Wed 29 Feb 2012 11:09:08 AM CET
uid:            500
username:       sgraf
xsession_errors: abrt-applet: repeated crash in firefox-10.0.1-1.el6_2, not showing the notification

backtrace:      Text file, 51218 bytes
maps:           Text file, 47145 bytes
sosreport.tar.xz: Binary file, 1673896 bytes

build_ids:
:7c35453921058b29cf27cb05c7c0f0feb5833e87
:60f8b588f6b1e8b49da11401c02d9758b85895b8
:317315e10ed432771d931f5b691ad713f671bbd6
:be788f73fa9ae9d9a9dcfc16c668b6e42119f03f
:1091613e71ba2afa6378d02d4bd8ec2a7f3ebb47
:3b8599007ada880f99056338e44595cc2b2a32c1
:579551c969b434db386d69676cd57c2090c43044
:d908d0affc6b691bb555a0b482a9cb95ecdd263e
:8b43ee25fa2e8b331271d4e91d5a92394ce0c84e
:55bd9024ebfa4b84580f0fdd4520b00b718e42d8
:3b5acc6e00b8031105ba66b0686b2c4deafa5b64
:9f47154b0c49a7209c5f5662a7c580a900e03e30
:e4a9606ebe02883270a3e1933ae8f35cc1477027
:e668921b5a43b5a175b200090fc1c6ee5a545f84
:8e4fc3dbb56c556a0c9b811f9619f0ebb80f33c0
:ca50914c654baee8145cb67329e37e905b56fa71
:b628436379bc6fa6ced84b74abe9634ad24b3b81
:87f1c23045216178fea1723d80392ce25253f5e3
:1f7e426abc12bdab05a1f7d3ddcbd4cde17fd261
:ac85b7dec37aba7b05f71005e2e513f4f893b6bd
:b33a2b3790dbb96c774e58fed3e277f11e21a017
:088e1517c7332a8dad5a5acda59b079268dc9444
:dfd32f0808469788e66bf4c97fa12e8eefee70f9
:ff459cb16294c252b52c55d42e9c854c7c557295
:ec528c5c83f547502a74371e95d0ba1c1b9742ee
:edb81777ec18e1590b7cc7b32e038862c6b3db66
:55d659b2133cd54edb429f9a9e34a90e6c4644a9
:f345c49772a992fe5a50b4626189f6438ccb5ad5
:00741bc830167c952a6b96a13bdcc11c7d052bf7
:ba1855ce11e22ef77dde9e822f825b6ff345d6a9
:ae6b79268617bc5121914405e106d6a81b975520
:2c5d2c8dd4e6694e492988b23adfec17149a8a79
:ff7f2cc55141bf42779ab68e132a9b02d6195657
:b07769b35793f0faab140ca816890d23e7b0ce95
:73c7b605c3db7b549c21d1362fa3438bad6d03fc
:335fae88fd8dd3f44e251f68ea0bb9af37671856
:e952c91c683e535ad4c876db28a5a95b366728d1
:f73c70c08e8dfb779c49a1d27c677619e72d523e
:22cc140a2d103ad396e350637b792a3b29ccf3c2
:619db6459c72821c2565e01ffad135f255209be8
:841b4b3a78d0a43674e07637a1b2d0ace066804a
:6dfb7996503d7fddf4c8a2327296429b3109ce9d
:3ac79b2b98b7665c7772ecb22f4959c4f104a6bc
:7365cb4cb7d7677646595310d19bf995cf9008b4
:5569b07b45d44278869e7e62e65c4757540d8a1e
:f75a2ad304471dfdd5f679b8cfcd380555f43390
:76d0fdc3598dafb78ebcd6ec02641602d6b41cc9
:9754896de655b6ac088ec2bf5113b35c06f72709
:1a40a5cc02e38c28ef0dc765d1dcc0163668405b
:7359bd3a3cd5b9ce820106fbbabbb8edb75b712c
:6e7fe2b5cf16cacb1b035fa389fff8be1d164117
:66fdc9e7de8f906029c5a092bfd342d3359a2b25
:2ba8eb4e7da25eabeac4912313121e118d0bad5b
:d0729f1c1d50e3d32275731a0350d8a3616ba6ae
:5899ae69a1270e04b85f11bb267f00f7101d8785
:88326763838c1e5787d18f72eaab68f53563af9f
:384f8199397d12195afe416eba62cd7e118cd1e0
:9214f3dcca7ada68137084707da78fb2501bc1a3
:355d765a262e1d19a84d4b2707b8800bde875aed
:d5f2b4999982d91a28ee371ab0cb0a438b4e6741
:59cb330da8bfa49c9dca5353ce188f7e5989a4f1
:2875a55dbf9490291b2a2759f8fa8054cf8dce5d
:3ec9c9ab22a7ba181151a09c48c5267264709f0e
:1b0e320e1004c9cd45bd58eb1ef940151f41b1aa
:6dfba74c25a4af3145e83a33e6e2a9f2e4f8c3bc
:6e5b330d4f555c249984ab1d20edd82108fb1593
:6d385a4b80740901718b43368d1a1ce47ef672e8
:7488cafe882d72756e1a4a4bbaa0c32c85871596
:ac50b0607a56bfdb0f28b2059adbc6c14e661281
:6e85187e862c4263a94cb51e2e0da35539353f30
:db47bcbf7f973dbd31101fa3aa526a18fabb354f
:49c9f4bad47be86354c56e0749d64a064a699d7b
:3673912935b1983c5d616e18b01d7552db5a0bc8
:cbfda8cde3b9161b7eb13577904ddb37123f41b8
:b16d179c581a776744d1894103013a5d4c1b7aec
:209a7ebeab54483fed76e2a984b4aeae29c66d69
:64d76c84e3288fd1b7296a822794e189ddc457e4
:b2eede04a3520d6602bdb97ac58ca1568f9d0d96
:579376f7b894943f981411503f28245ed755ba00
:656bbcc163eb4d2bc5f1404c77b58bf719af643b
:c8d2b6ccd2627cd196e0c192c5026e91e856fa69
:77214a013c284ecd1bc1a8935f3bd3b7bdb7270c
:657f579aa5f9d9fe88a7b6911a0d26a5640fc304
:f0e6d6645e3c8a5232b61e06bc0ebed15373685d
:f692ce5d9774fe16d0481248e6be3733bc5dfc9a
:c31493eb74f7f093e7e55dee5d3a31a2c9fc1a38
:7201f43e85740042e1960b1c4a72bed0028493a4
:39c39fb43da880c5c40b303a6967c0e93ac4716c
:293f8b6f5e6cea240d1bb0b47ec269ee91f31673
:462eb13080f5f3554c40b2074cd78287095252d7
:bc99ce2dec75b65b253574f29d8b2054aea5307e
:c3ea2a4d5202a8e1b7f7534e30450865fc5608b5
:52299891de64f61236615fd28f1f8dc4800703bd
:0e30d556d5282bc7924881f6a72d37ef11fb56a6
:2eeb78d690d9cf0d9bcae44624c6894d2227d57f
:bd84511e579372eed296c422f4e1c67c578bd448
:377e15d7559da4f2ee697c61b6e83ad20482a566
:04f597e51997261a4345d52ac79a16af5c0a3af4
:b731e2043b529652129ea3c9e13e2b199d679978
:b3d2d172b9a201cae7af5250e6ae760c51251a51
:9c481a2d4da3a93eba8c003ad7b5ee93561e6a97
:14189e63fcc98ea0dbba4530aebfd25a475f76a6
:0c5fab7d6e44e034b2077473941d4cd728ed45c8
:4083db5e3579d51cfb5b9345d88311e920912ce0
:97b1b84f9be7cb444087fc8c6ff42f31cc5decc7
:666eb64674361e47044062c389dd068c6125fe96
:e7b49911f1136073dd7dc58e8118cd9a4fbe2a19
:2ef9a078479db8c9b74f68fc863c79d051339a18
:baf327d73b4a5710b45775d939788713f718cf3a
:b5307985ae3efd44cfde8eb3149a8d9cb95e4135
:d880be15bf992b5fbcc629e6bbf1c747a928ddd5
:3dc1f5c68ed7fb960fd84e20dfcdc85a95c3ebbf

dso_list:
:/usr/lib64/libavahi-glib.so.1.0.1 avahi-glib-0.6.25-11.el6.x86_64 (Red Hat, Inc.) 1324834348
:/usr/lib64/libpangoft2-1.0.so.0.2800.1 pango-1.28.1-3.el6_0.5.x86_64 (Red Hat, Inc.) 1324834183
:/usr/lib64/libart_lgpl_2.so.2.3.20 libart_lgpl-2.3.20-5.1.el6.x86_64 (Red Hat, Inc.) 1324834032
:/lib64/libnss_files-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libbonobo-2.so.0.0.0 libbonobo-2.24.2-4.el6.x86_64 (Red Hat, Inc.) 1324834071
:/lib64/libnspr4.so nspr-4.8.9-3.el6_2.x86_64 (Red Hat, Inc.) 1330185056
:/usr/lib64/libgnomevfs-2.so.0.2400.2 gnome-vfs2-2.24.2-6.el6.x86_64 (Red Hat, Inc.) 1324834349
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.2-1.el6.x86_64 (Red Hat, Inc.) 1324834179
:/usr/lib64/libnotify.so.1.2.3 libnotify-0.5.0-1.el6.x86_64 (Red Hat, Inc.) 1324834230
:/lib64/libdl-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/lib64/libasound.so.2.0.0 alsa-lib-1.0.22-3.el6.x86_64 (Red Hat, Inc.) 1324834108
:/usr/lib64/libORBitCosNaming-2.so.0.1.0 ORBit2-2.14.17-3.1.el6.x86_64 (Red Hat, Inc.) 1324834070
:/usr/lib64/libfreetype.so.6.3.22 freetype-2.3.11-6.el6_1.8.x86_64 (Red Hat, Inc.) 1325761699
:/usr/lib64/firefox/firefox firefox-10.0.1-1.el6_2.x86_64 (Red Hat, Inc.) 1330185108
:/usr/lib64/libcanberra-gtk.so.0.1.5 libcanberra-gtk2-0.22-1.el6.x86_64 (Red Hat, Inc.) 1324834186
:/lib64/libz.so.1.2.3 zlib-1.2.3-27.el6.x86_64 (Red Hat, Inc.) 1324834029
:/usr/lib64/libXext.so.6.4.0 libXext-1.1-3.el6.x86_64 (Red Hat, Inc.) 1324834177
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-6b-46.el6.x86_64 (Red Hat, Inc.) 1324834030
:/lib64/ld-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib/locale/locale-archive glibc-common-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476923
:/usr/lib64/libgnomeui-2.so.0.2400.1 libgnomeui-2.24.1-4.el6.x86_64 (Red Hat, Inc.) 1324834350
:/usr/lib64/libxcb-event.so.1.0.0 xcb-util-0.3.6-1.el6.x86_64 (Red Hat, Inc.) 1324834065
:/lib64/librt-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libXt.so.6.0.0 libXt-1.0.7-1.el6.x86_64 (Red Hat, Inc.) 1324834179
:/usr/lib64/libgtk-x11-2.0.so.0.1800.9 gtk2-2.18.9-6.el6.x86_64 (Red Hat, Inc.) 1324834184
:/usr/lib64/gconv/UTF-16.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/lib64/libpthread-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.10-2.el6.x86_64 (Red Hat, Inc.) 1324834179
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.5-1.el6.x86_64 (Red Hat, Inc.) 1324834047
:/usr/lib64/libbonobo-activation.so.4.0.0 libbonobo-2.24.2-4.el6.x86_64 (Red Hat, Inc.) 1324834071
:/usr/lib64/xulrunner-2/libmozalloc.so xulrunner-10.0.1-2.el6_2.x86_64 (Red Hat, Inc.) 1330185063
:/usr/lib64/libcanberra.so.0.2.1 libcanberra-0.22-1.el6.x86_64 (Red Hat, Inc.) 1324834179
:/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.22-1.el6.x86_64 (Red Hat, Inc.) 1324834186
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.el6.x86_64 (Red Hat, Inc.) 1324834105
:/usr/lib64/xulrunner-2/omni.ja xulrunner-10.0.1-2.el6_2.x86_64 (Red Hat, Inc.) 1330185063
:/lib64/libm-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libstartup-notification-1.so.0.0.0 startup-notification-0.10-2.1.el6.x86_64 (Red Hat, Inc.) 1324834178
:/usr/lib64/libgdk_pixbuf-2.0.so.0.1800.9 gtk2-2.18.9-6.el6.x86_64 (Red Hat, Inc.) 1324834184
:/usr/lib64/libavahi-common.so.3.5.1 avahi-libs-0.6.25-11.el6.x86_64 (Red Hat, Inc.) 1324834032
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-1.el6.x86_64 (Red Hat, Inc.) 1324834029
:/lib64/libglib-2.0.so.0.2200.5 glib2-2.22.5-6.el6.x86_64 (Red Hat, Inc.) 1324834036
:/lib64/libgio-2.0.so.0.2200.5 glib2-2.22.5-6.el6.x86_64 (Red Hat, Inc.) 1324834036
:/usr/lib64/libhunspell-1.2.so.0.0.0 hunspell-1.2.8-16.el6.x86_64 (Red Hat, Inc.) 1324834048
:/lib64/libutil-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.1-2.el6.x86_64 (Red Hat, Inc.) 1324834182
:/usr/lib64/libpixman-1.so.0.18.4 pixman-0.18.4-1.el6_0.1.x86_64 (Red Hat, Inc.) 1324834043
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.5.8-19.el6.x86_64 (Red Hat, Inc.) 1324834207
:/usr/lib64/xulrunner-2/libxul.so xulrunner-10.0.1-2.el6_2.x86_64 (Red Hat, Inc.) 1330185063
:/usr/lib64/libgnome-keyring.so.0.1.1 gnome-keyring-2.28.2-6.el6.x86_64 (Red Hat, Inc.) 1324834185
:/lib64/libcom_err.so.2.1 libcom_err-1.41.12-11.el6.x86_64 (Red Hat, Inc.) 1324834029
:/lib64/libc-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/lib64/libselinux.so.1 libselinux-2.0.94-5.2.el6.x86_64 (Red Hat, Inc.) 1324834036
:/usr/lib64/libxcb-atom.so.1.0.0 xcb-util-0.3.6-1.el6.x86_64 (Red Hat, Inc.) 1324834065
:/lib64/libnss_dns-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libvorbis.so.0.4.3 libvorbis-1:1.2.3-4.el6_2.1.x86_64 (Red Hat, Inc.) 1329304898
:/lib64/libkrb5.so.3.3 krb5-libs-1.9-22.el6_2.1.x86_64 (Red Hat, Inc.) 1325761694
:/usr/lib64/firefox/components/libbrowsercomps.so firefox-10.0.1-1.el6_2.x86_64 (Red Hat, Inc.) 1330185108
:/usr/lib64/libnssutil3.so nss-util-3.13.1-3.el6_2.x86_64 (Red Hat, Inc.) 1330185058
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.86-5.el6.x86_64 (Red Hat, Inc.) 1324834037
:/usr/lib64/libatk-1.0.so.0.2809.1 atk-1.28.0-2.el6.x86_64 (Red Hat, Inc.) 1324834037
:/usr/lib64/libogg.so.0.6.0 libogg-2:1.1.4-2.1.el6.x86_64 (Red Hat, Inc.) 1324834033
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-4.0.4-1.el6.x86_64 (Red Hat, Inc.) 1324834178
:/usr/lib64/libnss3.so nss-3.13.1-6.el6_2.x86_64 (Red Hat, Inc.) 1330185060
:/usr/lib64/gconv/gconv-modules.cache glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libsmime3.so nss-3.13.1-6.el6_2.x86_64 (Red Hat, Inc.) 1330185060
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.5-1.el6.x86_64 (Red Hat, Inc.) 1324834177
:/usr/lib64/libcrypto.so.1.0.0 openssl-1.0.0-20.el6_2.1.x86_64 (Red Hat, Inc.) 1327476940
:/lib64/libresolv-2.12.so glibc-2.12-1.47.el6_2.5.x86_64 (Red Hat, Inc.) 1327476931
:/usr/lib64/libxml2.so.2.7.6 libxml2-2.7.6-4.el6_2.4.x86_64 (Red Hat, Inc.) 1329911435
:/usr/lib64/libtdb.so.1.2.1 libtdb-1.2.1-3.el6.x86_64 (Red Hat, Inc.) 1324834033
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9-22.el6_2.1.x86_64 (Red Hat, Inc.) 1325761694
:/usr/lib64/libpangocairo-1.0.so.0.2800.1 pango-1.28.1-3.el6_0.5.x86_64 (Red Hat, Inc.) 1324834183
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.5-1.el6.x86_64 (Red Hat, Inc.) 1324834044
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.0-4.el6.x86_64 (Red Hat, Inc.) 1324834177
:/usr/lib64/xulrunner-2/libmozsqlite3.so xulrunner-10.0.1-2.el6_2.x86_64 (Red Hat, Inc.) 1330185063
:/usr/lib64/libstdc++.so.6.0.13 libstdc++-4.4.6-3.el6.x86_64 (Red Hat, Inc.) 1324834028
:/usr/lib64/libssl.so.1.0.0 openssl-1.0.0-20.el6_2.1.x86_64 (Red Hat, Inc.) 1327476940
:/usr/lib64/libcairo.so.2.10800.8 cairo-1.8.8-3.1.el6.x86_64 (Red Hat, Inc.) 1324834177
:/usr/lib64/libORBit-2.so.0.1.0 ORBit2-2.14.17-3.1.el6.x86_64 (Red Hat, Inc.) 1324834070
:/lib64/libgmodule-2.0.so.0.2200.5 glib2-2.22.5-6.el6.x86_64 (Red Hat, Inc.) 1324834036
:/usr/lib64/libXi.so.6.1.0 libXi-1.3-3.el6.x86_64 (Red Hat, Inc.) 1324834178
:/usr/lib64/libgailutil.so.18.0.1 gtk2-2.18.9-6.el6.x86_64 (Red Hat, Inc.) 1324834184
:/usr/lib64/libgnomecanvas-2.so.0.2600.0 libgnomecanvas-2.26.0-4.el6.x86_64 (Red Hat, Inc.) 1324834186
:/lib64/libkeyutils.so.1.3 keyutils-libs-1.4-3.el6.x86_64 (Red Hat, Inc.) 1324834043
:/usr/lib64/xulrunner-2/components/libmozgnome.so xulrunner-10.0.1-2.el6_2.x86_64 (Red Hat, Inc.) 1330185063
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9-22.el6_2.1.x86_64 (Red Hat, Inc.) 1325761694
:/usr/lib64/libltdl.so.7.2.1 libtool-ltdl-2.2.6-15.5.el6.x86_64 (Red Hat, Inc.) 1324834040
:/usr/lib64/libssl3.so nss-3.13.1-6.el6_2.x86_64 (Red Hat, Inc.) 1330185060
:/usr/lib64/libSM.so.6.0.0 libSM-1.1.0-7.1.el6.x86_64 (Red Hat, Inc.) 1324834030
:/usr/lib64/firefox/omni.ja firefox-10.0.1-1.el6_2.x86_64 (Red Hat, Inc.) 1330185108
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1-1.el6.x86_64 (Red Hat, Inc.) 1324834179
:/lib64/libexpat.so.1.5.2 expat-2.0.1-9.1.el6.x86_64 (Red Hat, Inc.) 1324834030
:/usr/lib64/libgdk-x11-2.0.so.0.1800.9 gtk2-2.18.9-6.el6.x86_64 (Red Hat, Inc.) 1324834184
:/usr/lib64/libX11.so.6.3.0 libX11-1.3-2.el6.x86_64 (Red Hat, Inc.) 1324834177
:/usr/lib64/xulrunner-2/components/libnkgnomevfs.so xulrunner-10.0.1-2.el6_2.x86_64 (Red Hat, Inc.) 1330185063
:/usr/lib64/libgnome-2.so.0.2800.0 libgnome-2.28.0-11.el6.x86_64 (Red Hat, Inc.) 1324834349
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.18.4-5.el6.x86_64 (Red Hat, Inc.) 1324834222
:/lib64/libgobject-2.0.so.0.2200.5 glib2-2.22.5-6.el6.x86_64 (Red Hat, Inc.) 1324834036
:/lib64/libdbus-1.so.3.4.0 dbus-libs-1:1.2.24-5.el6_1.x86_64 (Red Hat, Inc.) 1324834028
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-2.el6_2.x86_64 (Red Hat, Inc.) 1329911443
:/lib64/libplds4.so nspr-4.8.9-3.el6_2.x86_64 (Red Hat, Inc.) 1330185056
:/usr/lib64/libbonoboui-2.so.0.0.0 libbonoboui-2.24.2-3.el6.x86_64 (Red Hat, Inc.) 1324834350
:/lib64/libuuid.so.1.3.0 libuuid-2.17.2-12.4.el6.x86_64 (Red Hat, Inc.) 1324834030
:/lib64/libgcc_s-4.4.6-20110824.so.1 libgcc-4.4.6-3.el6.x86_64 (Red Hat, Inc.) 1324834005
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.30-2.el6.noarch (Red Hat, Inc.) 1324834095
:/lib64/libpopt.so.0.0.0 popt-1.13-7.el6.x86_64 (Red Hat, Inc.) 1324834030
:/usr/lib64/xulrunner-2/libxpcom.so xulrunner-10.0.1-2.el6_2.x86_64 (Red Hat, Inc.) 1330185063
:/usr/lib64/libavahi-client.so.3.2.5 avahi-libs-0.6.25-11.el6.x86_64 (Red Hat, Inc.) 1324834032
:/lib64/libgthread-2.0.so.0.2200.5 glib2-2.22.5-6.el6.x86_64 (Red Hat, Inc.) 1324834036
:/usr/lib64/libvorbisfile.so.3.3.2 libvorbis-1:1.2.3-4.el6_2.1.x86_64 (Red Hat, Inc.) 1329304898
:/usr/lib64/libxcb-aux.so.0.0.0 xcb-util-0.3.6-1.el6.x86_64 (Red Hat, Inc.) 1324834065
:/lib64/libplc4.so nspr-4.8.9-3.el6_2.x86_64 (Red Hat, Inc.) 1330185056
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9-22.el6_2.1.x86_64 (Red Hat, Inc.) 1325761694
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-2.28.0-6.el6.x86_64 (Red Hat, Inc.) 1324834132
:/usr/lib64/libpango-1.0.so.0.2800.1 pango-1.28.1-3.el6_0.5.x86_64 (Red Hat, Inc.) 1324834183
:/usr/lib64/xulrunner-2/components/libdbusservice.so xulrunner-10.0.1-2.el6_2.x86_64 (Red Hat, Inc.) 1330185063

environ:
:XSUNTRANSPORT=shmem
:ORBIT_SOCKETDIR=/tmp/orbit-sgraf
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=xterm
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=dfa568d8161bd80872078a4c00000030-1330419764.231905-1479050993
:HISTSIZE=1000
:MOZ_NO_REMOTE=1
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/sgraf/.gtkrc-1.2-gnome2
:LD_PRELOAD=x_ignore_nofocus.so
:WINDOWID=104857603
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:IMSETTINGS_MODULE=none
:USER=sgraf
:LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox:/tmp/tmpd2sGvv/x86:/tmp/tmpd2sGvv/amd64:
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/keyring-texVei/socket.ssh
:GNOME_KEYRING_SOCKET=/tmp/keyring-texVei/socket
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:USERNAME=sgraf
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3437,unix/unix:/tmp/.ICE-unix/3437
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins-wrapped:/usr/lib64/firefox/plugins-wrapped
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/sgraf/bin:/home/sgraf/bin:/home/sgraf/bin
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/sgraf
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:QT_IM_MODULE=xim
:PWD=/home/sgraf/Documents/OOO-git/general/cumin_test
:XMODIFIERS=@im=none
:GDM_KEYBOARD_LAYOUT=us
:KDE_IS_PRELINKED=1
:LANG=en_US.utf8
:GNOME_KEYRING_PID=3422
:XRE_PROFILE_PATH=/tmp/tmpd2sGvv
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:XSUNSMESIZE=512
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/sgraf
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:MOZ_CRASHREPORTER_DISABLE=1
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=sgraf
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-FUvMVsGW0a,guid=077871c9ef127804aa77db820000004a
:NO_EM_RESTART=1
:'LESSOPEN=|/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:WINDOWPATH=1
:DISPLAY=:0.0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-sgraf-ix4gIy/database
:COLORTERM=gnome-terminal

var_log_messages:
:Feb 29 11:09:09 localhost abrt[4443]: saved core dump of pid 4416 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-02-29-11:09:08-4416.new/coredump (112549888 bytes)
:Feb 29 11:09:09 localhost abrt[4480]: not dumping repeating crash in '/usr/lib64/firefox/firefox'
:Feb 29 11:09:11 localhost abrt[4514]: not dumping repeating crash in '/usr/lib64/firefox/firefox'
:Feb 29 11:09:11 localhost abrt[4566]: not dumping repeating crash in '/usr/lib64/firefox/firefox'
Comment 1 Stanislav Graf 2012-02-29 06:36:38 EST
Created attachment 566533 [details]
File: backtrace
Comment 2 Stanislav Graf 2012-02-29 06:36:41 EST
Created attachment 566534 [details]
File: maps
Comment 3 Stanislav Graf 2012-02-29 06:49:35 EST
Selenium reports:
Message:
'The browser appears to have exited before we could connect. The output was: 
*** LOG addons.xpi: startup\n
*** LOG addons.xpi: checkForChanges\n
*** LOG addons.xpi: Opening database\n
*** LOG addons.xpi: No changes found\n
Failed to dlopen /usr/lib/libX11.so.6\n
dlerror says: /usr/lib/libX11.so.6: wrong ELF class: ELFCLASS32\n' 

I checked this library:
# rpm -qf /usr/lib/libX11.so.6
libX11-1.3-2.el6.i686

# rpm --query --file /usr/lib/libX11.so.6
libX11-1.3-2.el6.i686

# rpm --query libX11
libX11-1.3-2.el6.x86_64
libX11-1.3-2.el6.i686

As a workaround I removed 32b version of this library and selenium is working again:
# yum remove libX11-1.3-2.el6.i686
Comment 5 RHEL Product and Program Management 2012-05-03 01:33:43 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 6 Martin Stransky 2012-07-31 10:25:52 EDT
How can we reproduce this crash?
Comment 7 Stanislav Graf 2012-08-01 05:07:08 EDT
Version-Release number of selected component (if applicable):
firefox-10.0.6-1.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
$ su
# yum install -y libX11.i686 libX11.x86_64
# exit
$ cd $(mktemp -d)
$ URL=$(wget --quiet --output-document=- http://pypi.python.org/pypi/selenium | grep 'http://pypi.python.org/packages/source/s/selenium/' | cut --delimiter='"' --fields=2)
$ wget --output-document=selenium.tgz "${URL}"
$ tar --extract --gzip --file=selenium.tgz
$ ln --symbolic selenium-*/py/selenium/ .
$ python -c 'import selenium.webdriver.firefox.webdriver as fwb; ff_bin = fwb.FirefoxBinary(); ff_profile = fwb.FirefoxProfile(); driver = fwb.WebDriver(firefox_profile=ff_profile, firefox_binary=ff_bin)'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "selenium/webdriver/firefox/webdriver.py", line 51, in __init__
    self.binary, timeout),
  File "selenium/webdriver/firefox/extension_connection.py", line 47, in __init__
    self.binary.launch_browser(self.profile)
  File "selenium/webdriver/firefox/firefox_binary.py", line 44, in launch_browser
    self._wait_until_connectable()
  File "selenium/webdriver/firefox/firefox_binary.py", line 81, in _wait_until_connectable
    self._get_firefox_output())
selenium.common.exceptions.WebDriverException: Message: 'The browser appears to have exited before we could connect. The output was: *** LOG addons.xpi: startup\n*** LOG addons.xpi: checkForChanges\n*** LOG addons.xpi: Opening database\n*** LOG addons.xpi: No changes found\nFailed to dlopen /usr/lib/libX11.so.6\ndlerror says: /usr/lib/libX11.so.6: wrong ELF class: ELFCLASS32\n
Comment 8 Martin Stransky 2012-08-16 10:33:19 EDT
Is that somehow related to RHEL? I testes it on Fedora (Firefox 14) and it crashes randomly. But yes, I can reproduce it somehow...I wonder why it crashes in the network link code.
Comment 9 Stanislav Graf 2012-08-16 12:45:47 EDT
(In reply to comment #8)
> Is that somehow related to RHEL? [...]

I see the relation through this possible customer scenario:

(1) Use RHEL x86_64 workstation. Subscribe RHEL supplementary channel:
# pkcon repo-enable rhel-6-workstation-supplementary-rpms

(2) Install flash-plugin that is provided by this repo:
# yum install flash-plugin
[...]
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package flash-plugin.i686 0:11.2.202.236-1.el6 will be installed
[...]
--> Processing Dependency: libX11.so.6 for package: flash-plugin-11.2.202.236-1.el6.i686
[...]
---> Package libX11.i686 0:1.3-2.el6 will be installed
[...]

This way I get libX11.i686 on my x86_64 machine.

(3) Try to test web pages using Selenium and Firefox crashes.
Comment 11 Jan Horak 2012-08-17 06:13:19 EDT
This seems to be bug in gdkevents-x11.c, it doesn't check XNextEvent result and expects xevent to be initialized properly:

2307    _gdk_events_queue (GdkDisplay *display) 
2308    {
2309      GList *node;
2310      GdkEvent *event;
2311      XEvent xevent;
2312      Display *xdisplay = GDK_DISPLAY_XDISPLAY (display);
2313
2314      while (!_gdk_event_queue_find_first(display) && XPending (xdisplay))
2315        {
2316          XNextEvent (xdisplay, &xevent);
2317
2318          switch (xevent.type)
2319            {
2320            case KeyPress:
2321            case KeyRelease:
2322              break;
2323            default:
2324              if (XFilterEvent (&xevent, None)) <<< CRASH
2325                continue;
2326            }

XNextEvent implementation is here:
http://code.google.com/searchframe#2tHw6m3DZzo/trunk/cpp/linux-specific/x_ignore_nofocus.c&q=x_ignore%20package:selenium%5C.googlecode%5C.com&l=579

Another bug is in selenium library, get_xlib_handle() fails:
http://code.google.com/searchframe#2tHw6m3DZzo/trunk/cpp/linux-specific/x_ignore_nofocus.c&q=x_ignore%20package:selenium%5C.googlecode%5C.com&l=513
because paths are hardcoded. It's happy if it find /usr/lib/libX11.so.6 which on x86_64 systems points to i686 library (if it is installed).

Changing component to gtk.
Comment 12 Jan Horak 2012-08-17 06:17:28 EDT
To reproduce this issue in gdb use:
LD_LIBRARY_PATH=/tmp/tmpiAwJlP/x86:/tmp/tmpiAwJlP/amd64 LD_PRELOAD=x_ignore_nofocus.so firefox -g
(firstly follow reproduction steps from comment 7 and then fix LD_LIBRARY_PATH).
Comment 13 Nick Coghlan 2012-11-07 21:01:37 EST
abrt isn't generating a helpful backtrace for me (possibly because I use KDE), but I suspect I am hitting a similar Python+Selenium+FF 10 ESR issue when attempting to run the Beaker integration tests on RHEL 6 (http://beaker-project.org/dev-guide.html#testing-your-patch). A large fraction of the selenium tests fail with a report that the browser could not be accessed, and abrt complains about firefox crashing.

Running Stanislav's suggested reproducer command from comment 7 does indeed produce a Firefox crash for me.
Comment 14 Nick Coghlan 2012-11-07 22:31:14 EST
And sure enough, removing the 32-bit X11 library (which had been installed due to the Flash plugin) eliminates the crash.
Comment 16 RHEL Product and Program Management 2013-10-14 01:05:37 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.